hmLoadTopic({
hmKeywords:"Linkar,Linkar coding,Logout",
hmTitle:"Logout",
hmDescription:"Closes communication with a server, which previously has been opened with a Login Function.",
hmPrevLink:"lk_login.html",
hmNextLink:"lk_new.html",
hmParentLink:"lk_client_functions.html",
hmBreadCrumbs:"<a href=\"lk_client_functions.html\">Client Functions<\/a>",
hmTitlePath:"Client Functions > Logout",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">Logout<\/span><\/h1>\n\r",
hmBody:"<h2 class=\"p_Heading2_atoc_\" style=\"page-break-after: avoid; border-top: none; border-right: none; border-left: none;\"><span class=\"f_Heading2_atoc_\">Closes communication with a server, which previously has been opened with a Login Function.<\/span><\/h2>\n\r<p class=\"p_Normal\">Logout is actually a &quot;virtual&quot; operation which disposes the current Client Session ID. No DBMS logout is performed.<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> customVars<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">string<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">char*<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">This is a free text field to send in the transaction. If not empty, subroutine SUB.LK.MAIN.CONTROL.CUSTOM will be called. Add custom code to that subroutine to define special behaviours for some or all transactions.<\/span><\/p>\n\r<p><span style=\"font-size: 0.91rem; color: #000000;\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> receiveTimeout<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">Numeric<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">-1<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">This is the maximum time in seconds that the client will wait for a response. Use 0 for no timeout. This is a function-specific override : -1 in a Persistent function defaults back to the timeout defined in the LinkarClt constructor.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: -2.0000rem; margin: 0 0 0 2.0000rem;\">&nbsp;<\/p>\n\r"
})
